<?php

namespace App\Service\Import\Specification;
use App\Service\Import\Interfaces\HeaderSpecificationInterface;

class ExactHeaderSpecification implements HeaderSpecificationInterface
{
    private array $expectedHeader;
    private string $errorMessage = 'L\'en-tête ne correspond pas';

    public function __construct(array $expectedHeader)
    {
        $this->expectedHeader = $expectedHeader;
    }

    public function isSatisfiedBy(array $header): bool
    {
        return $header === $this->expectedHeader;
    }

    public function getErrorMessage(): string
    {
        return $this->errorMessage;
    }
    public function getErrorsHeader(array $header): array
    {
        $errorsHeader = [];
        foreach ($this->expectedHeader as $key => $value) {
            if (!isset($header[$key]) || $header[$key] !== $value) {
                $errorsHeader[] = "La colonne $value est manquante ou ne correspond pas à la valeur attendue [ $header[$key] ]";
                
            }
        }
        return $errorsHeader;
    }

}